Bug 589090 - Compile with --with-password
Compile with --with-password
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnubiff (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 07:26 EDT by Howard Ning
Modified: 2010-09-06 18:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-06 18:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Howard Ning 2010-05-05 07:26:02 EDT
Description of problem:
After restarting or something, it always prompt to enter the password. Other software of the same kind does not behave like this. I suggest compiling it with --with-password. So it will remember the password. I have tried modification the SPEC and it is working fine.

Version-Release number of selected component (if applicable):
gnubiff-2.2.13-2.fc13.x86_64

How reproducible:


Steps to Reproduce:
1. set up
2. restart
3. prompt to enter password
  
Actual results:


Expected results:


Additional info:
Comment 1 Fabian Affolter 2010-06-19 03:12:50 EDT
Would it be OK for you if you can rebuild the package with an 'with-password' option?
Comment 2 Howard Ning 2010-06-19 05:56:29 EDT
Here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2258993
Comment 3 Fabian Affolter 2010-09-06 18:24:56 EDT
Upstream says that '--with-password-string' is recommended.  I understand that for user this can be an annoyance but better be save than sorry.  

gnubiff-2.2.13-3.fc15 has a build condition that allows users to rebuild the package with '--with-password'

Note You need to log in before you can comment on or make changes to this bug.